{
    "compileOnSave": false,
    "exclude": ["src/**/*.test.ts", "test/*"],
    "compilerOptions": {
        "baseUrl": "./",
        "module": "commonjs",
        "target": "es2019",
        "outDir": "./dist",
        "sourceMap": true,
        "declaration": true,
        "moduleResolution": "node",
        "esModuleInterop": true,
        "experimentalDecorators": true,
        "allowSyntheticDefaultImports": true,
        "importHelpers": true,
        "strict": true,
        "noFallthroughCasesInSwitch": true,
        "noUnusedLocals": false,
        "noImplicitReturns": false,
        "noUnusedParameters": false,
        "resolveJsonModule": true,
        "strictNullChecks": true,
        "typeRoots": ["node_modules/@types"],
        "lib": ["es2018", "dom"],
    },
    "include": ["src/**/*.ts"],
    "types": ["jest", "node"]
}